package edu.csula.csun.turnin;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import org.apache.commons.fileupload.*;

public class Upload extends SimpleTagSupport {

	boolean	status;
	String	msg;

  public Upload()
  {
    status = false;
    msg = "";
  }

  public void doTag() throws IOException
  {
    DiskFileUpload fu = new DiskFileUpload();
    fu.setSizeMax(200000);
    fu.setSizeThreshold(4096);
    fu.setRepositoryPath("/tmp");

    String files = "";
    PageContext pc = (PageContext) getJspContext();
    HttpServletRequest request = (HttpServletRequest) pc.getRequest();
    try
    {
      List fileItems = fu.parseRequest( request );
      Iterator i = fileItems.iterator();
      while( i.hasNext() )
      {
        FileItem f = (FileItem) i.next();
        String name = f.getName();
        if( name != null )
        {
          name = name.substring( name.lastIndexOf("\\")+1 );
          if( name.equals("") ) throw new Exception("No file specified.");
          f.write( new File("/tmp/turnin/"+ name) );
          msg += " " + name;
        }
      }
      status = true;
    }
    catch( Exception e )
    {
      status = false;
      msg = e.getMessage();
    }

    HttpSession session = pc.getSession();
    session.setAttribute( "uploadStatus", new Boolean(status) );
    session.setAttribute( "uploadMsg", msg );
  }

} // end of class Upload

